%define release 1mdk

Name:		merd
Version:	%{version}
Release: 	%{release}
Summary:	Futuristic programming language
Source0:	merd-%{version}.tar.bz2
License:	GPL
Group:		Development/Other
BuildRequires: ocaml
URL:		http://merd.net/
Packager:       Pixel <pixel@mandrakesoft.com>
BuildRoot:	%{_tmppath}/merd-root

%description
merd is a language inspired (mainly) by Caml, O'Haskell and Ruby.

THIS IS PRE-ALPHA SOFTWARE. DO NOT EXPECT *ANYTHING*.

%prep
%setup -n %{name}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(autoload 'merd-mode "merd-mode" "Merd editing mode" t)
(add-to-list 'auto-mode-alist '("\\\\.me$" . merd-mode))
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc docs/Changes docs/*.html docs/types.eps examples
%{_bindir}/*
%{_datadir}/merd
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%changelog
* Tue Jun 18 2002 Pixel <pixel@mandrakesoft.com> 0.1.6-1mdk
- new release

* Wed May 15 2002 Pixel <pixel@mandrakesoft.com> 0.1.5-1mdk
- new release

* Fri May 10 2002 Pixel <pixel@mandrakesoft.com> 0.1.4-1mdk
- new release

* Sun Dec 16 2001 Pixel <pixel@mandrakesoft.com> 0.1-1mdk
- initial spec
