open Common

let verbose_print = false && not (has_env "MERD_NO_VERBOSE") || has_env "MERD_VERBOSE"
let quiet = false || has_env "MERD_QUIET"
let check_style = true

let default_file = if has_env "MERD_DEBUG" then Some "t.me" else None
let pervasives_use_classes = true && not (has_env "MERD_NO_CLASSES")
let concise_type_report = false || has_env "MERD_CONCISE_TYPE_REPORT"

let debug_env = verbose_print || has_env "MERD_DEBUG_ENV"
let debug_type_inference = verbose_print || has_env "MERD_DEBUG_TYPE_INFERENCE"
let debug_type_handling = false

let debug_grouper = false
let debug_parser = false
let debug_rew = false
let debug_rewrite = false

let debug_interpreter = false || has_env "MERD_DEBUG_INTERPRETER"
let debug_infere_and_interpret = ref (false || has_env "MERD_DEBUG_INFERENCE")

let check = true && not (has_env "MERD_NO_CHECK")
let profile = true
