val debug : bool
val onlylocal : bool
val noenv_check : bool ref
val val_ : 'a * 'b * 'c * 'd -> 'a
val typ_ : 'a * 'b * 'c * 'd -> 'b
val fla_ : 'a * 'b * 'c * 'd -> 'c
val nam_ : 'a * 'b * 'c * 'd -> 'd
val set_val_ : 'a * 'b * 'c * 'd -> 'e -> 'e * 'b * 'c * 'd
val set_typ_ : 'a * 'b * 'c * 'd -> 'e -> 'a * 'e * 'c * 'd
val set_fla_ : 'a * 'b * 'c * 'd -> 'e -> 'a * 'b * 'e * 'd
val set_nam_ : 'a * 'b * 'c * 'd -> 'e -> 'a * 'b * 'c * 'e
val def_flags : Types.val_flags
val def_tconstr : Types.tconstr
val is_constraint_op : int -> bool
val local_i2rew :
  (Types.fromrewrite -> 'a * 'b * 'c * string ref -> 'd) ->
  int -> int -> 'a * 'b * 'c * string ref -> 'd
val global_i2rew :
  (Types.fromrewrite -> 'a * 'b * 'c * string ref -> 'd) ->
  string -> int -> 'a * 'b * 'c * string ref -> 'd
val env_iter_local :
  (Types.fromrewrite -> Types.val_typ -> unit) -> Types.env -> unit
val env_iter :
  (Types.fromrewrite -> Types.val_typ -> unit) -> Types.env -> unit
val env_iter_non_closed :
  (Types.fromrewrite -> Types.val_typ -> unit) -> Types.env -> unit
val env_iter_non_closed_withenv :
  ('a -> Types.fromrewrite -> Types.val_typ -> 'a) -> 'a -> Types.env -> 'a
val env_iter_constr :
  (Types.fromrewrite -> Types.tconstraint -> unit) -> Types.env -> unit
val env_map :
  (Types.fromrewrite -> Types.val_typ -> Types.val_typ option) ->
  Types.env -> Types.env
val env_map_non_closed :
  (Types.fromrewrite -> Types.val_typ -> Types.val_typ option) ->
  Types.env -> Types.env
val env_local_collect :
  (Types.fromrewrite -> Types.val_typ -> 'a list) -> Types.env -> 'a list
val env_local_map :
  (Types.fromrewrite -> Types.val_typ -> 'a) -> Types.env -> 'a list
val env_map_constr :
  (Types.fromrewrite -> Types.tconstraint -> Types.tconstraint option) ->
  Types.env -> Types.env
val env_scan_while_modifying :
  (Types.env -> Types.fromrewrite -> Types.val_typ -> Types.env) ->
  Types.env -> Types.env
val dump_forced : Types.env -> unit
val dumpt_forced_ : Types.env -> bool -> unit
val dumpt_forced : Types.env -> unit
val dump : Types.env -> unit
val dumpt : Types.env -> unit
val dump_package : Types.package -> unit
val constr_map :
  (Types.fromrewrite -> Types.fromrewrite) ->
  Types.tconstraint -> Types.tconstraint
val constr_map_withenv :
  ('a -> Types.fromrewrite -> Types.fromrewrite * 'a) ->
  'a -> Types.tconstraint -> Types.tconstraint * 'a
val constr_iter : (Types.fromrewrite -> unit) -> Types.tconstraint -> unit
val constr_collect :
  (Types.fromrewrite -> 'a list) -> Types.tconstraint -> 'a list
val constr2lower : Types.tconstraint -> Types.fromrewrite option
val constr2greater : Types.tconstraint -> Types.fromrewrite option
val is_tfree : Types.tconstraint -> bool
val constr2tconstr : Types.tconstraint -> Types.tconstr
val constr2lower_or_greater :
  Types.fromrewrite -> Types.tconstraint -> Types.fromrewrite option
val pack_constr :
  Types.fromrewrite -> Types.tconstraint -> Types.fromrewrite list
val unpack_constr_raw :
  Types.fromrewrite list -> (int * Types.tconstr) list option
val unpack_constr :
  Types.fromrewrite -> bool * Types.fromrewrite * (int * Types.tconstr) list
val pack_local_constr_with_kind :
  string -> string -> Types.tconstraint -> Types.fromrewrite
val pack_local_constr : string -> Types.tconstraint -> Types.fromrewrite
val unpack_local_constr_raw :
  string -> Types.fromrewrite -> (string * Types.tconstr) option
val unpack_local_constr_ :
  string -> Types.fromrewrite -> Types.tconstr option
val unpack_local_constr : Types.fromrewrite -> Types.tconstr option
val constr_remap_locals : int -> Types.tconstraint -> Types.tconstraint
val remap_stack_locals :
  int ->
  Types.fromrewrite ref ref * Types.tconstraint * Types.val_flags * 'a ->
  Types.fromrewrite ref ref * Types.tconstraint * Types.val_flags * 'a
val push_stackt : Types.env -> int -> Types.val_flags -> Types.env
val pop_stackt : Types.env -> Types.env
val pop_stackt_ignore : Types.env -> unit
val realloc_stack :
  Types.env -> int -> int -> Types.val_flags -> int * Types.env
val realloc_global :
  Types.env -> string -> int -> Types.val_flags -> int * Types.env
val get_local_internal : Types.env -> int -> int -> Types.val_typ
val get_global_internal : Types.env -> int -> string -> Types.val_typ
val get_local_val : Types.env -> int -> int -> Types.fromrewrite ref ref
val get_local_typ : Types.env -> int -> int -> Types.tconstraint
val get_local_flags : Types.env -> int -> int -> Types.val_flags
val get_local_name : Types.env -> int -> int -> string ref
val get_global_val : Types.env -> int -> string -> Types.fromrewrite ref ref
val get_global_typ : Types.env -> int -> string -> Types.tconstraint
val get_global_flags : Types.env -> int -> string -> Types.val_flags
val get_global_name : Types.env -> int -> string -> string ref
val set_local_internal :
  Types.env -> int -> int -> Types.val_typ -> Types.env
val set_global_internal :
  Types.env -> int -> string -> Types.val_typ -> Types.env
val set_local_typ : Types.tconstraint -> Types.env -> int -> int -> Types.env
val set_local_flags : Types.val_flags -> Types.env -> int -> int -> Types.env
val set_global_typ :
  Types.tconstraint -> Types.env -> int -> string -> Types.env
val set_global_flags :
  Types.val_flags -> Types.env -> int -> string -> Types.env
val dispatch_local_or_global :
  'a ->
  ('a -> int -> int -> 'b) ->
  ('a -> int -> string -> 'b) -> Types.fromrewrite -> 'b
val get_var_raw : Types.env -> Types.fromrewrite -> Types.val_typ
val get_var_val : Types.env -> Types.fromrewrite -> Types.fromrewrite ref ref
val get_var_flags : Types.env -> Types.fromrewrite -> Types.val_flags
val get_var_name : Types.env -> Types.fromrewrite -> string ref
val get_var_typ : Types.env -> Types.fromrewrite -> Types.tconstraint
val set_var_typ_bare_raw :
  Types.env -> Types.fromrewrite -> Types.tconstraint -> Types.env
val set_var_flags :
  Types.env -> Types.fromrewrite -> Types.val_flags -> Types.env
val merge_inoutness :
  Types.tinoutness option ->
  Types.tinoutness option -> Types.tinoutness option
val rew_collect_with_io :
  (Types.tinoutness * int * Types.fromrewrite -> 'a list) ->
  Types.tinoutness * Types.fromrewrite -> 'a list
val merge_flags_no_inoutness :
  Types.val_flags -> Types.val_flags -> Types.val_flags
val merge_flags : Types.val_flags -> Types.val_flags -> Types.val_flags
val set_var_inoutness :
  Types.env ->
  Types.tinoutness option ->
  Types.fromrewrite -> Types.tinoutness option * Types.env
val rew2best_io :
  Types.env ->
  Types.tinoutness ->
  Types.fromrewrite -> (Types.tinoutness * Types.fromrewrite) * Types.env
val check_expr_ :
  bool ->
  int -> Types.env -> Types.fromrewrite option -> Types.fromrewrite -> unit
val check_expr :
  bool -> Types.env -> Types.fromrewrite option -> Types.fromrewrite -> unit
val check_env : Types.env -> unit
val rew_is_closed_t : Types.env -> Types.fromrewrite -> bool
val rew_is_closed_v : 'a -> Types.fromrewrite -> bool
val constr_is_closed : Types.env -> Types.tconstraint -> bool
val update_closeness_t :
  Types.env -> Types.fromrewrite -> Types.tconstraint -> Types.env
val update_closeness_v :
  Types.env -> Types.fromrewrite -> Types.fromrewrite -> Types.env
val get_var :
  Types.env ->
  Types.fromrewrite ->
  Types.fromrewrite * Types.tconstraint * Types.val_flags
val set_var_val :
  Types.env -> Types.fromrewrite -> Types.fromrewrite -> Types.env
val follow_var : Types.env -> Types.fromrewrite -> Types.fromrewrite list
val rew_merge_flags :
  (Types.val_flags -> Types.val_flags -> Types.val_flags) ->
  Types.env -> Types.fromrewrite -> Types.fromrewrite -> Types.env
val pre_set_var_typ :
  Types.env ->
  Types.fromrewrite -> Types.tconstraint -> Types.tconstraint * Types.env
val set_var_typ_raw :
  Types.env -> Types.fromrewrite -> Types.tconstraint -> Types.env
val set_var_name : Types.env -> Types.fromrewrite -> unit
val allocate_new_vars :
  Types.env ->
  int ->
  Types.val_flags -> Types.fromrewrite -> Types.fromrewrite list * Types.env
val allocate_new_vars_in_depth :
  Types.env ->
  int ->
  Types.val_flags -> Types.fromrewrite -> Types.fromrewrite list * Types.env
val var2lower_or_greater :
  (Types.tconstraint -> Types.fromrewrite option) ->
  Types.env -> Types.fromrewrite -> Types.fromrewrite option
val collect_allvars__rec :
  Types.env ->
  Types.fromrewrite list -> Types.fromrewrite -> Types.fromrewrite list
val rew_is_type : Types.env -> Types.fromrewrite -> bool
val is_abstract3 : Types.env -> Types.fromrewrite -> bool
val is_var_constraintable : Types.env -> Types.fromrewrite -> bool
val texact : Types.tconstraint -> Types.fromrewrite
val find_created_vars_now_dead : Types.env -> Types.fromrewrite list
val find_still_alive_local_vars : Types.env -> Types.fromrewrite list
val rew_map_once_adapting_env :
  (Types.env -> Types.fromrewrite -> (Types.fromrewrite * Types.env) option) ->
  Types.env -> Types.fromrewrite -> Types.fromrewrite * Types.env
val rew_remove_type_constraints : Types.fromrewrite -> Types.fromrewrite
val traverse_contraints :
  Types.env ->
  Types.fromrewrite list ->
  Types.fromrewrite list ->
  (int * Types.tinoutness) list *
  (Types.fromrewrite * (int * Types.tinoutness) list) list
val raw_compare : Types.env -> Types.fromrewrite -> Types.fromrewrite -> int
val can_close_the_world :
  bool -> Types.env -> Types.fromrewrite -> Types.fromrewrite -> bool
val close_the_world :
  bool ->
  Types.env -> Types.fromrewrite -> Types.fromrewrite -> Types.fromrewrite
val class2info_add_instance :
  Types.env ->
  (Types.fromrewrite * Types.virtual_class) list ->
  Types.fromrewrite * Types.fromrewrite ->
  (Types.fromrewrite * Types.virtual_class) list
val env_add_instances :
  Types.env -> (Types.fromrewrite * Types.fromrewrite) list -> Types.env
val env_add_class :
  Types.env ->
  Types.fromrewrite -> (string * Types.fromrewrite) list -> Types.env
val new_env_ : Types.package list -> Types.env
val new_env : ('a * Types.package) list -> string list -> string -> Types.env
